Package org.apache.naming

## Class NamingContextBindingsEnumeration

- java.lang.Object
- - org.apache.naming.NamingContextBindingsEnumeration

- All Implemented Interfaces:
    `Enumeration<Binding>`, `NamingEnumeration<Binding>`

      public class NamingContextBindingsEnumeration
      extends Object
      implements NamingEnumeration<Binding>

  Naming enumeration implementation.
  Author:
    Remy Maucherat

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Iterator<NamingEntry>` | `iterator` | Underlying enumeration.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NamingContextBindingsEnumeration​(Iterator<NamingEntry> entries, Context ctx)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` | Closes this enumeration.
    `boolean` | `hasMore()` | Determines whether there are any more elements in the enumeration.
    `boolean` | `hasMoreElements()` |
    `Binding` | `next()` | Retrieves the next element in the enumeration.
    `Binding` | `nextElement()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Enumeration

      `asIterator`

- - ### Field Detail

    - #### iterator

          protected final Iterator<NamingEntry> iterator

      Underlying enumeration.

  - ### Constructor Detail

    - #### NamingContextBindingsEnumeration

          public NamingContextBindingsEnumeration​(Iterator<NamingEntry> entries,
                                                  Context ctx)

  - ### Method Detail

    - #### next

          public Binding next()
                       throws NamingException

      Retrieves the next element in the enumeration.
      Specified by:
        `next` in interface `NamingEnumeration<Binding>`
      Throws:
        `NamingException`

    - #### hasMore

          public boolean hasMore()
                          throws NamingException

      Determines whether there are any more elements in the enumeration.
      Specified by:
        `hasMore` in interface `NamingEnumeration<Binding>`
      Throws:
        `NamingException`

    - #### close

          public void close()
                     throws NamingException

      Closes this enumeration.
      Specified by:
        `close` in interface `NamingEnumeration<Binding>`
      Throws:
        `NamingException`

    - #### hasMoreElements

          public boolean hasMoreElements()

      Specified by:
        `hasMoreElements` in interface `Enumeration<Binding>`

    - #### nextElement

          public Binding nextElement()

      Specified by:
        `nextElement` in interface `Enumeration<Binding>`